Bug 1121309 - It is better to use absolute path for certpw file
Summary: It is better to use absolute path for certpw file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Martin Lopes
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 03:24 UTC by lidong chen
Modified: 2015-10-21 23:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-31 02:28:10 UTC


Attachments (Terms of Use)

Description lidong chen 2014-07-19 03:24:52 UTC
Description of problem:
It is better to use absolute path for certpw file

Version-Release number of selected component (if applicable):
Redhat OpenStack 5 On RHEL7

How reproducible:

2.4.2.2. Enable SSL on the RabbitMQ Message Broker

[root@control ~]# certutil -S -d /etc/pki/rabbitmq -n 10.66.216.4 -s "CN=10.66.216.4" -t "CT,," -x -f certpw -z /usr/bin/certutil
No password file "certpw" exists.
certutil: unable to generate key(s)
: SEC_ERROR_BAD_PASSWORD: The security password entered is incorrect.

It is better like this:
certutil -S -d /etc/pki/rabbitmq -n 10.66.216.4 -s "CN=10.66.216.4" -t "CT,," -x -f /etc/pki/rabbitmq/certpw -z /usr/bin/certutil

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Summer Long 2014-07-21 00:39:27 UTC
Assigning to Martin Lopes, as the designated author for messaging (and ICG).

Comment 5 Martin Lopes 2014-10-31 02:27:56 UTC
Tech review completed. Closing bug.


Note You need to log in before you can comment on or make changes to this bug.